#!/bin/sh
set -e
set -x

day=$1
train_path=$2
model_name=$3
bias=$4 # 0,1,0 1,1,0

HADOOP="/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop"
$HADOOP fs -text ${train_path}/dt=$day/* | /root/sunmingze/alphaFM/bin/fm_train -m model/${model_name}_${day}.txt -dim ${bias} -core 8
# -v_l1 ${v_l1} -v_l2 ${v_l2}

# nohup sh 01_train.sh 20240222 /dw/recommend/model/11_str_data_v3 model_tom112 1,1,2 >p1_model_tom112.log 2>&1 &
# nohup sh 01_train.sh 20240222 /dw/recommend/model/12_ros_data_v3_noweight model_jerry_noweight 0,1,0 >p1_model_jerry_noweight.log 2>&1 &

