#!/bin/sh
set -e
set -x

day=$1
train_path=$2
model_name=$3
output_file=$4
bias=$5
HADOOP="/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop"
$HADOOP fs -text ${train_path}/dt=$day/* | /root/sunmingze/alphaFM/bin/fm_predict -m model/$model_name -dim ${bias} -core 8 -out predict/${output_file}_$day.txt
cat predict/${output_file}_$day.txt | /root/sunmingze/AUC/AUC

# nohup sh 03_predict.sh 20240226 /dw/recommend/model/11_str_data_v3/ model_tom112_20240225.txt model_tom112_20240225 2 >p3_model_tom112_20240225.log 2>&1 &
# nohup sh 03_predict.sh 20240226 /dw/recommend/model/12_ros_data_v3/ model_jerry_20240222.txt model_jerry_20240222 0,1,0 >p3_model_jerry_20240222.log 2>&1 &
# nohup sh 03_predict.sh 20240226 /dw/recommend/model/12_ros_data_v3/ model_jerry_noweight_20240225.txt model_jerry_noweight_20240225 0,1,0 >p3_model_jerry_noweight_20240225.log 2>&1 &
