#!/bin/sh

export SPARK_HOME=/opt/apps/SPARK2/spark-2.4.8-hadoop3.2-1.0.8
export PATH=$SPARK_HOME/bin:$PATH
export HADOOP_CONF_DIR=/etc/taihao-apps/hadoop-conf
export JAVA_HOME=/usr/lib/jvm/java-1.8.0

DATE="$(date -d '9 days ago' +%Y%m%d)"
HADOOP="/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop"

path="/dw/recommend/model/feature/user/dt=${DATE}"
$HADOOP fs -test -e ${path}
if [ $? -eq 0 ]; then
    echo "${path} 数据存在, 删除。"
    $HADOOP fs -rm -r -skipTrash ${path}
else
    echo "${path} 数据不存在"
fi

path="/dw/recommend/model/feature/video/dt=${DATE}"
$HADOOP fs -test -e ${path}
if [ $? -eq 0 ]; then
    echo "${path} 数据存在, 删除。"
    $HADOOP fs -rm -r -skipTrash ${path}
else
    echo "${path} 数据不存在"
fi

path="/dw/recommend/model/00_sample_data/dt=${DATE}"
$HADOOP fs -test -e ${path}
if [ $? -eq 0 ]; then
    echo "${path} 数据存在, 删除。"
    $HADOOP fs -rm -r -skipTrash ${path}
else
    echo "${path} 数据不存在"
fi